API v1 ReferenceUsers
Invite user
Create a new user invitation with specified role and permissions. User will receive an invitation email to set up their account.
Create a new user invitation with specified role and permissions. User will receive an invitation email to set up their account.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.orbiqhq.com/api/v1/users" \ -H "Content-Type: application/json" \ -d '{ "email": "admin@example.com", "first_name": "John", "last_name": "Admin", "role": "admin" }'{
"success": true,
"data": {
"user": {
"id": "user-123",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.com",
"role": {
"name": "Administrator"
},
"status": "active",
"title": "string",
"theme": "light",
"language": "en"
},
"createdUserId": "string"
}
}{
"error": "Invalid input: email: Invalid email address"
}Empty
Empty
Empty
How is this guide?